Fetching Logs
The GET /v3/teleid endpoint is used to fetch TeleID logs.
GET /v3/teleid?pageNumber=1&pageSize=10&sortBy=id&sortDirection=descending&fromDate=2020-01-01&toDate=2024-01-01
Authorization: Basic ${ base64(apiKey + ':' + secretKey) }
| Parameter | Required | Description |
|---|---|---|
| pageNumber | No | Which page to fetch. Defaults to 1. |
| pageSize | No | The size of the page. Can be no more than 100. Defaults to 10. |
| sortBy | No | Which property to sort the results by. Can be one of: 'id', 'dateTime', 'autoDeleteDate'. Defaults to 'id'. |
| sortDirection | No | Can be one of: 'ascending', 'descending'. Defaults to 'ascending'. |
| fromDate | No | A date in 'yyyy-MM-dd' format of which all returned TeleID sessions will have been initialized after. |
| toDate | No | A date in 'yyyy-MM-dd' format of which all returned TeleID sessions will have been initialized before. |
Response example:
HTTP/2.0 200 OK
{
"data": [
{
"id": "1668b9da-bff1-4dfc-ad48-60507b5a8d12",
"startedAt": "2022-01-26 13:05:40",
"autoDeleteDate": "2022-07-25",
"agent": {
"name": "Firstname Lastname"
},
"status": "COMPLETED",
"completedAt": "2022-01-26 13:05:40",
"user": {
"ssn": "YYYYMMDDXXXX",
"country": "SWEDEN",
"name": "Firstname Lastname"
},
"identification": {
"provider": "BANKID_SE",
"certStartDate": "2022-01-04",
"orderRef": "f4c1d82e-e396-4c8b-bc52-5151bc019da5"
}
}
],
"totalPages": 1,
"totalElements": 1,
"numberOfElements": 1
}
To fetch a TeleID with a specific ID, the following can be used:
GET /v3/teleid/{id}
Authorization: Basic ${ base64(apiKey + ':' + secretKey) }
While a TeleID is in progress, and for up to 15 minutes after it has finished, the response is its current status: PENDING, COMPLETED or FAILED, in the same format as the response of Start TeleID.
After that, a completed TeleID is returned from the logs with status COMPLETED until its auto-deletion date.
This endpoint will respond with a HTTP status of 404 if the TeleID does not exist or has expired.
Response example:
HTTP/2.0 200 OK
{
"id": "1668b9da-bff1-4dfc-ad48-60507b5a8d12",
"startedAt": "2022-01-26 13:05:40",
"autoDeleteDate": "2022-07-25",
"agent": {
"name": "Firstname Lastname"
},
"status": "FAILED",
"error": "SESSION_TIMEOUT"
}
For the possible values of error, see Start TeleID.